aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xaux/checks/changelog.sh4
-rw-r--r--aux/checks/manpages/footer.en.0.in4
-rw-r--r--aux/checks/manpages/footer.eo.0.in4
-rw-r--r--aux/checks/manpages/footer.es.0.in4
-rw-r--r--aux/checks/manpages/footer.fr.0.in4
-rw-r--r--aux/checks/manpages/footer.pt.0.in4
-rwxr-xr-xaux/checks/readme.sh14
-rwxr-xr-xaux/ci/report.sh4
-rw-r--r--aux/dev.mk2
-rw-r--r--aux/lib.sh4
-rw-r--r--aux/preamble-md.in2
-rw-r--r--po/eo.po4
-rw-r--r--po/es.po4
-rw-r--r--po/fr.po4
-rw-r--r--po/pt.po4
-rw-r--r--po/remembering.pot4
16 files changed, 35 insertions, 35 deletions
diff --git a/aux/checks/changelog.sh b/aux/checks/changelog.sh
index ee10549..a73baec 100755
--- a/aux/checks/changelog.sh
+++ b/aux/checks/changelog.sh
@@ -20,7 +20,7 @@ shift $((OPTIND - 1))
. aux/lib.sh
-HOMEPAGE_LINK="Changelog for [$NAME](https://$TLD/$NAME/en/)."
+HOMEPAGE_LINK="Changelog for [$NAME](https://$DOMAIN/$NAME/en/)."
if ! grep -qF "$HOMEPAGE_LINK" CHANGELOG.md; then
echo "Missing link to homepage in CHANGELOG.md:" >&2
@@ -34,7 +34,7 @@ assert() {
VERSION="${2#v}"
CHANGELOG_ENTRY="$(printf \
'# [%s](https://%s/git/%s/commit/?id=%s) - %s' \
- "$VERSION" "$TLD" "$NAME" "$VVERSION" "$DATE")"
+ "$VERSION" "$DOMAIN" "$NAME" "$VVERSION" "$DATE")"
if ! grep -qF "$CHANGELOG_ENTRY" CHANGELOG.md; then
echo "Missing '$CHANGELOG_ENTRY' entry from CHANGELOG.md" >&2
exit 1
diff --git a/aux/checks/manpages/footer.en.0.in b/aux/checks/manpages/footer.en.0.in
index 8db378b..5b51ab5 100644
--- a/aux/checks/manpages/footer.en.0.in
+++ b/aux/checks/manpages/footer.en.0.in
@@ -17,11 +17,11 @@ Use the subject "\f(CR[@NAME@] BUG or TASK:
<description>\fR".
.IP \(bu
Browse bugs
-.UR https://@TLD@/@NAME@/TODOs.html
+.UR https://@DOMAIN@/@NAME@/TODOs.html
online
.UE .
.IP \(bu
-.UR https://@TLD@/@NAME@/en/
+.UR https://@DOMAIN@/@NAME@/en/
Homepage
.UE .
.IP \(bu
diff --git a/aux/checks/manpages/footer.eo.0.in b/aux/checks/manpages/footer.eo.0.in
index bb319ca..fc9fe56 100644
--- a/aux/checks/manpages/footer.eo.0.in
+++ b/aux/checks/manpages/footer.eo.0.in
@@ -7,7 +7,7 @@
.IP \(bu Report bugs to the .MT ~euandreh/@MAILING_LIST@@lists.sr.ht mailing
list .ME . Use the subject "\f(CR[@NAME@] BUG or TASK: <description>\fR".
-.IP \(bu Browse bugs .UR https://@TLD@/@NAME@/TODOs.html online .UE . .IP
-\(bu .UR https://@TLD@/@NAME@/en/ Homepage .UE . .IP \(bu .UR
+.IP \(bu Browse bugs .UR https://@DOMAIN@/@NAME@/TODOs.html online .UE . .IP
+\(bu .UR https://@DOMAIN@/@NAME@/en/ Homepage .UE . .IP \(bu .UR
https://lists.sr.ht/~euandreh/@MAILING_LIST@?search=%5B@NAME@%5D Comments
and discussions .UE .
diff --git a/aux/checks/manpages/footer.es.0.in b/aux/checks/manpages/footer.es.0.in
index bb319ca..fc9fe56 100644
--- a/aux/checks/manpages/footer.es.0.in
+++ b/aux/checks/manpages/footer.es.0.in
@@ -7,7 +7,7 @@
.IP \(bu Report bugs to the .MT ~euandreh/@MAILING_LIST@@lists.sr.ht mailing
list .ME . Use the subject "\f(CR[@NAME@] BUG or TASK: <description>\fR".
-.IP \(bu Browse bugs .UR https://@TLD@/@NAME@/TODOs.html online .UE . .IP
-\(bu .UR https://@TLD@/@NAME@/en/ Homepage .UE . .IP \(bu .UR
+.IP \(bu Browse bugs .UR https://@DOMAIN@/@NAME@/TODOs.html online .UE . .IP
+\(bu .UR https://@DOMAIN@/@NAME@/en/ Homepage .UE . .IP \(bu .UR
https://lists.sr.ht/~euandreh/@MAILING_LIST@?search=%5B@NAME@%5D Comments
and discussions .UE .
diff --git a/aux/checks/manpages/footer.fr.0.in b/aux/checks/manpages/footer.fr.0.in
index bb319ca..fc9fe56 100644
--- a/aux/checks/manpages/footer.fr.0.in
+++ b/aux/checks/manpages/footer.fr.0.in
@@ -7,7 +7,7 @@
.IP \(bu Report bugs to the .MT ~euandreh/@MAILING_LIST@@lists.sr.ht mailing
list .ME . Use the subject "\f(CR[@NAME@] BUG or TASK: <description>\fR".
-.IP \(bu Browse bugs .UR https://@TLD@/@NAME@/TODOs.html online .UE . .IP
-\(bu .UR https://@TLD@/@NAME@/en/ Homepage .UE . .IP \(bu .UR
+.IP \(bu Browse bugs .UR https://@DOMAIN@/@NAME@/TODOs.html online .UE . .IP
+\(bu .UR https://@DOMAIN@/@NAME@/en/ Homepage .UE . .IP \(bu .UR
https://lists.sr.ht/~euandreh/@MAILING_LIST@?search=%5B@NAME@%5D Comments
and discussions .UE .
diff --git a/aux/checks/manpages/footer.pt.0.in b/aux/checks/manpages/footer.pt.0.in
index bb319ca..fc9fe56 100644
--- a/aux/checks/manpages/footer.pt.0.in
+++ b/aux/checks/manpages/footer.pt.0.in
@@ -7,7 +7,7 @@
.IP \(bu Report bugs to the .MT ~euandreh/@MAILING_LIST@@lists.sr.ht mailing
list .ME . Use the subject "\f(CR[@NAME@] BUG or TASK: <description>\fR".
-.IP \(bu Browse bugs .UR https://@TLD@/@NAME@/TODOs.html online .UE . .IP
-\(bu .UR https://@TLD@/@NAME@/en/ Homepage .UE . .IP \(bu .UR
+.IP \(bu Browse bugs .UR https://@DOMAIN@/@NAME@/TODOs.html online .UE . .IP
+\(bu .UR https://@DOMAIN@/@NAME@/en/ Homepage .UE . .IP \(bu .UR
https://lists.sr.ht/~euandreh/@MAILING_LIST@?search=%5B@NAME@%5D Comments
and discussions .UE .
diff --git a/aux/checks/readme.sh b/aux/checks/readme.sh
index 0447b08..f97b2d3 100755
--- a/aux/checks/readme.sh
+++ b/aux/checks/readme.sh
@@ -28,12 +28,12 @@ cat <<-EOF >> "$EXPECTED"
## Links
- - [homepage](https://$TLD/s/$NAME/en/)
- - [source code](https://$TLD/git/$NAME/)
- - [bug tracking](https://$TLD/s/$NAME/TODOs.html)
+ - [homepage](https://$DOMAIN/s/$NAME/en/)
+ - [source code](https://$DOMAIN/git/$NAME/)
+ - [bug tracking](https://$DOMAIN/s/$NAME/TODOs.html)
- [mailing list]
- - [CI logs](https://$TLD/s/$NAME/ci/)
- - [CHANGELOG](https://$TLD/s/$NAME/en/CHANGELOG.html)
+ - [CI logs](https://$DOMAIN/s/$NAME/ci/)
+ - [CHANGELOG](https://$DOMAIN/s/$NAME/en/CHANGELOG.html)
[mailing list]: https://lists.sr.ht/~euandreh/$MAILING_LIST?search=%5B$NAME%5D
EOF
@@ -42,7 +42,7 @@ RELEASES_LIST="$(mkstemp)"
add_release() {
DATE="$1"
VVERSION="$2"
- echo "- [$VVERSION](https://$TLD/git/$NAME/commit/?id=$VVERSION) [$NAME-$VVERSION.tar.gz](https://$TLD/git/$NAME/snapshot/$NAME-$VVERSION.tar.gz) ([sig](https://$TLD/git/$NAME/snapshot/$NAME-$VVERSION.tar.gz.asc)) - $DATE" >> "$RELEASES_LIST"
+ echo "- [$VVERSION](https://$DOMAIN/git/$NAME/commit/?id=$VVERSION) [$NAME-$VVERSION.tar.gz](https://$DOMAIN/git/$NAME/snapshot/$NAME-$VVERSION.tar.gz) ([sig](https://$DOMAIN/git/$NAME/snapshot/$NAME-$VVERSION.tar.gz.asc)) - $DATE" >> "$RELEASES_LIST"
}
for VVERSION in $(git tag); do
@@ -72,7 +72,7 @@ cat <<-EOF >> "$EXPECTED"
[GNU Affero General Public License v3.0 or later][AGPL-3.0-or-later]
(AGPL-3.0-or-later).
- [AGPL-3.0-or-later]: https://$TLD/git/$NAME/tree/COPYING
+ [AGPL-3.0-or-later]: https://$DOMAIN/git/$NAME/tree/COPYING
EOF
if ! tail -n "$(wc -l < "$EXPECTED")" README.md | diff - "$EXPECTED"; then
diff --git a/aux/ci/report.sh b/aux/ci/report.sh
index 5cffda1..2f36ad5 100755
--- a/aux/ci/report.sh
+++ b/aux/ci/report.sh
@@ -195,7 +195,7 @@ done
<main>
<h1>
CI logs for
- <a href="https://$TLD/s/$NAME/">$NAME</a>
+ <a href="https://$DOMAIN/s/$NAME/">$NAME</a>
</h1>
<ol>
EOF
@@ -230,7 +230,7 @@ done
<li id="$FILENAME">
<a href="#$FILENAME"><pre>#</pre></a>
$STATUS_MARKER - <pre>${DURATION:-?}s</pre>
- <pre>(<a href="https://$TLD/git/$NAME/commit/?id=$SHA">commit</a>)</pre>
+ <pre>(<a href="https://$DOMAIN/git/$NAME/commit/?id=$SHA">commit</a>)</pre>
<a href="logs/$FILENAME"><pre>$FILENAME</pre></a>
<pre>(<a href="data/$FILENAME">data</a>)</pre>
<br />
diff --git a/aux/dev.mk b/aux/dev.mk
index 9b91786..5f62802 100644
--- a/aux/dev.mk
+++ b/aux/dev.mk
@@ -5,7 +5,7 @@
.in:
sed \
- -e "s:@TLD@:`cat aux/tld.txt`:g" \
+ -e "s:@DOMAIN@:`cat aux/domain.txt`:g" \
-e "s:@NAME@:`basename "$$PWD"`:g" \
-e 's:@MAILING_LIST@:$(MAILING_LIST):g' \
< $< > $@
diff --git a/aux/lib.sh b/aux/lib.sh
index 07aeb40..93a37eb 100644
--- a/aux/lib.sh
+++ b/aux/lib.sh
@@ -1,8 +1,8 @@
#!/bin/sh
-TLD="$(cat aux/tld.txt)"
+DOMAIN="$(cat aux/domain.txt)"
NAME="$(basename "$PWD")"
-export TLD NAME
+export DOMAIN NAME
assert_arg() {
if [ -z "$1" ]; then
diff --git a/aux/preamble-md.in b/aux/preamble-md.in
index 9255261..2bdf0c2 100644
--- a/aux/preamble-md.in
+++ b/aux/preamble-md.in
@@ -1,6 +1,6 @@
# About
-TODOs for [@NAME@](https://@TLD@/@NAME@/en/).
+TODOs for [@NAME@](https://@DOMAIN@/@NAME@/en/).
Register a new one at
<span id="new">[~euandreh/@MAILING_LIST@@lists.sr.ht](mailto:~euandreh/@MAILING_LIST@@lists.sr.ht?subject=%5B@NAME@%5D%20BUG%20or%20TASK%3A%20%3Cdescription%3E)</span>
diff --git a/po/eo.po b/po/eo.po
index 0fad268..84026f0 100644
--- a/po/eo.po
+++ b/po/eo.po
@@ -1059,8 +1059,8 @@ msgstr ""
msgid ""
".IP \\(bu Report bugs to the .MT ~euandreh/@MAILING_LIST@@lists.sr.ht "
"mailing list .ME . Use the subject \"\\f(CR[@NAME@] BUG or TASK: "
-"<description>\\fR\". .IP \\(bu Browse bugs .UR https://@TLD@/@NAME@/TODOs."
-"html online .UE . .IP \\(bu .UR https://@TLD@/@NAME@/en/ Homepage .UE . ."
+"<description>\\fR\". .IP \\(bu Browse bugs .UR https://@DOMAIN@/@NAME@/TODOs."
+"html online .UE . .IP \\(bu .UR https://@DOMAIN@/@NAME@/en/ Homepage .UE . ."
"IP \\(bu .UR https://lists.sr.ht/~euandreh/@MAILING_LIST@?search=%5B@NAME@"
"%5D Comments and discussions .UE ."
msgstr ""
diff --git a/po/es.po b/po/es.po
index 0fad268..84026f0 100644
--- a/po/es.po
+++ b/po/es.po
@@ -1059,8 +1059,8 @@ msgstr ""
msgid ""
".IP \\(bu Report bugs to the .MT ~euandreh/@MAILING_LIST@@lists.sr.ht "
"mailing list .ME . Use the subject \"\\f(CR[@NAME@] BUG or TASK: "
-"<description>\\fR\". .IP \\(bu Browse bugs .UR https://@TLD@/@NAME@/TODOs."
-"html online .UE . .IP \\(bu .UR https://@TLD@/@NAME@/en/ Homepage .UE . ."
+"<description>\\fR\". .IP \\(bu Browse bugs .UR https://@DOMAIN@/@NAME@/TODOs."
+"html online .UE . .IP \\(bu .UR https://@DOMAIN@/@NAME@/en/ Homepage .UE . ."
"IP \\(bu .UR https://lists.sr.ht/~euandreh/@MAILING_LIST@?search=%5B@NAME@"
"%5D Comments and discussions .UE ."
msgstr ""
diff --git a/po/fr.po b/po/fr.po
index 0fad268..84026f0 100644
--- a/po/fr.po
+++ b/po/fr.po
@@ -1059,8 +1059,8 @@ msgstr ""
msgid ""
".IP \\(bu Report bugs to the .MT ~euandreh/@MAILING_LIST@@lists.sr.ht "
"mailing list .ME . Use the subject \"\\f(CR[@NAME@] BUG or TASK: "
-"<description>\\fR\". .IP \\(bu Browse bugs .UR https://@TLD@/@NAME@/TODOs."
-"html online .UE . .IP \\(bu .UR https://@TLD@/@NAME@/en/ Homepage .UE . ."
+"<description>\\fR\". .IP \\(bu Browse bugs .UR https://@DOMAIN@/@NAME@/TODOs."
+"html online .UE . .IP \\(bu .UR https://@DOMAIN@/@NAME@/en/ Homepage .UE . ."
"IP \\(bu .UR https://lists.sr.ht/~euandreh/@MAILING_LIST@?search=%5B@NAME@"
"%5D Comments and discussions .UE ."
msgstr ""
diff --git a/po/pt.po b/po/pt.po
index 0fad268..84026f0 100644
--- a/po/pt.po
+++ b/po/pt.po
@@ -1059,8 +1059,8 @@ msgstr ""
msgid ""
".IP \\(bu Report bugs to the .MT ~euandreh/@MAILING_LIST@@lists.sr.ht "
"mailing list .ME . Use the subject \"\\f(CR[@NAME@] BUG or TASK: "
-"<description>\\fR\". .IP \\(bu Browse bugs .UR https://@TLD@/@NAME@/TODOs."
-"html online .UE . .IP \\(bu .UR https://@TLD@/@NAME@/en/ Homepage .UE . ."
+"<description>\\fR\". .IP \\(bu Browse bugs .UR https://@DOMAIN@/@NAME@/TODOs."
+"html online .UE . .IP \\(bu .UR https://@DOMAIN@/@NAME@/en/ Homepage .UE . ."
"IP \\(bu .UR https://lists.sr.ht/~euandreh/@MAILING_LIST@?search=%5B@NAME@"
"%5D Comments and discussions .UE ."
msgstr ""
diff --git a/po/remembering.pot b/po/remembering.pot
index 04c32e3..ce17c1a 100644
--- a/po/remembering.pot
+++ b/po/remembering.pot
@@ -1101,8 +1101,8 @@ msgid ""
".IP \\(bu Report bugs to the .MT ~euandreh/@MAILING_LIST@@lists.sr.ht "
"mailing list .ME . Use the subject \"\\f(CR[@NAME@] BUG or TASK: "
"<description>\\fR\". .IP \\(bu Browse bugs .UR "
-"https://@TLD@/@NAME@/TODOs.html online .UE . .IP \\(bu .UR "
-"https://@TLD@/@NAME@/en/ Homepage .UE . .IP \\(bu .UR "
+"https://@DOMAIN@/@NAME@/TODOs.html online .UE . .IP \\(bu .UR "
+"https://@DOMAIN@/@NAME@/en/ Homepage .UE . .IP \\(bu .UR "
"https://lists.sr.ht/~euandreh/@MAILING_LIST@?search=%5B@NAME@%5D Comments "
"and discussions .UE ."
msgstr ""